2021-01-16 01:16 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001261Frama-CPlug-in > wppublic2014-02-12 16:53
Reporteryakobowski 
Assigned Tocorrenson 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001261: Modules defined twice during WP compilation.
DescriptionWith OCaml 4.0, a fully static compilation (option --with-all-static) results in the following error during the compilation of the WP. This prevents a full compilation, due to our warning-as-errors policy.

(This may impact the release for platforms on which dynamic link is not available.)


File "lib/plugins/gui/Wp.cma(Qed)", line 1:
Warning 31: files lib/plugins/gui/Wp.cma(Qed) and lib/plugins/Wp.cma(Qed) both define a module named Qed
File "lib/plugins/gui/Wp.cma(Wp)", line 1:
Warning 31: files lib/plugins/gui/Wp.cma(Wp) and lib/plugins/Wp.cma(Wp) both define a module named Wp
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003435

yakobowski (manager)

Closed by commit 19806 (thanks JS!)
+Notes

-Issue History
Date Modified Username Field Change
2012-08-03 13:58 yakobowski New Issue
2012-08-03 13:58 yakobowski Status new => assigned
2012-08-03 13:58 yakobowski Assigned To => correnson
2012-08-03 18:02 svn
2012-09-10 12:31 yakobowski Note Added: 0003435
2012-09-10 12:31 yakobowski Status assigned => resolved
2012-09-10 12:31 yakobowski Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2013-12-19 01:11 yakobowski Source_changeset_attached => framac master 026e3891
2014-02-12 16:53 yakobowski Source_changeset_attached => framac stable/neon 026e3891
+Issue History